> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/da/knowledge-base/troubleshooting-articles/devolutions-server-performance-issues.md).

# Problemer med ydeevnen i Devolutions Server

Forklarer, hvordan rapporten over diskforbrug efter største tabeller genereres i SQL Server Management Studio, så Devolutions-support kan diagnosticere problemer med ydeevnen.

[Devolutions-support](mailto:service@devolutions.net) kan hjælpe Dem med problemer med ydeevnen i Devolutions Server. Til det formål skal ***Diskforbrug efter største tabeller*** ***rapporten*** fra ***SQL Server Management Studio (SSMS)*** genereres for at vurdere antallet af poster i bestemte databasetabeller.

1. Åbn ***SQL Server Management Studio (SSMS)***.
2. Højreklik på databasen, og vælg ***Rapporter*** – ***Standardrapporter*** – ***Diskforbrug efter største tabeller***.
3. Send rapporten til <service@devolutions.net>.

Her er ***SQL-forespørgslen***, som giver det samme resultat, hvis databasen hostes på ***Azure***.

```
SELECT TOP 1000
        a3.name AS SchemaName,
        a2.name AS TableName,
        a1.rows as Row_Count,
        (a1.reserved )* 8.0 / 1024 AS reserved_mb,
        a1.data * 8.0 / 1024 AS data_mb,
        (CASE WHEN (a1.used ) > a1.data THEN (a1.used ) - a1.data ELSE 0 END) * 8.0 / 1024 AS index_size_mb,
        (CASE WHEN (a1.reserved ) > a1.used THEN (a1.reserved ) - a1.used ELSE 0 END) * 8.0 / 1024 AS unused_mb
    FROM    (   SELECT
                ps.object_id,
                SUM ( CASE WHEN (ps.index_id < 2) THEN row_count    ELSE 0 END ) AS [rows],
                SUM (ps.reserved_page_count) AS reserved,
                SUM (CASE   WHEN (ps.index_id < 2) THEN (ps.in_row_data_page_count + ps.lob_used_page_count + ps.row_overflow_used_page_count)
                            ELSE (ps.lob_used_page_count + ps.row_overflow_used_page_count) END
                    ) AS data,
                SUM (ps.used_page_count) AS used
                FROM sys.dm_db_partition_stats ps
                GROUP BY ps.object_id
            ) AS a1
    INNER JOIN sys.all_objects a2  ON ( a1.object_id = a2.object_id )
    INNER JOIN sys.schemas a3 ON (a2.schema_id = a3.schema_id)
    WHERE a2.type <> N'S' and a2.type <> N'IT'
    order by a1.reserved desc
```

{% hint style="info" %}
[Politikker for databaseopbevaring](/server/da/web-interface/administration/database-retention-policies.md) i sektionen ***Administration*** kan hjælpe med at reducere antallet af poster i rapporttabellen ved automatisk at arkivere eller slette gamle logge.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/server/da/knowledge-base/troubleshooting-articles/devolutions-server-performance-issues.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
